Jump to content

[1.12.x] - Modular Kolonization System (MKS)


RoverDude
 Share

Recommended Posts

On 1/29/2019 at 7:10 PM, Kermanzooming said:

Solved! In the GameData/UmbraSpaceIndustries/MKS/Parts folder there was a folder called 'New Folder', with what looked to be additional copies of the parts. Once deleted, everything works like a charm.

So be careful; if you download the USI Constellation package, be sure  to delete that rogue extra folder.

 

Thanks to @RookFett, @terwin and @elijahlorden for the support!

Thanks for this hint.

I wondered why i couldnt change the 3,75m Tundra kerbitats between Hab-Common, Hab-Quarters and so on.

Now i know it.

Link to comment
Share on other sites

I was doing a Kerbal rescue mission today. I rendezvoused with the stranded craft, and it was a lone viewing cupola. But since viewing cupolas don't have hatches you can enter and exit from, I couldn't get the stranded Kerbal out, and was unable to rescue him.

Is there some way to omit rescue contracts from using things like viewing ports? Or could it be modified so that cupolas can be directly entered and exited from?

Link to comment
Share on other sites

17 minutes ago, Moostic said:

I was doing a Kerbal rescue mission today. I rendezvoused with the stranded craft, and it was a lone viewing cupola. But since viewing cupolas don't have hatches you can enter and exit from, I couldn't get the stranded Kerbal out, and was unable to rescue him.

Is there some way to omit rescue contracts from using things like viewing ports? Or could it be modified so that cupolas can be directly entered and exited from?

There's a mod that precludes unsuitable things but I forget what it's called.

If you want to get complex you can rescue the guy--grab the part with the claw and reenter gently.

Link to comment
Share on other sites

1 hour ago, alien_wind said:

I found a bug in the inflatable workshop module
when I enter a kerbal into it with items in kis inventory they disappeared
is this intended behavior? 

Yes,

It isn't a bug.  Seat inventory is not real inventory.

https://github.com/UmbraSpaceIndustries/MKS/issues/1314

Edited by goldenpsp
Link to comment
Share on other sites

2 hours ago, goldenpsp said:

Yes,

It isn't a bug.  Seat inventory is not real inventory.

https://github.com/UmbraSpaceIndustries/MKS/issues/1314

yes I just jumped in here to say that after trying to transfer the kerbal *inside* the vessel and an error message came up " there is no personall inentory" I guess it's functional in nature.
but I still think it's a bug that the error message did not come up when I boarded the module thisom the outside I'm pretty sure the items just disappeared from the game.

Link to comment
Share on other sites

25 minutes ago, alien_wind said:

yes I just jumped in here to say that after trying to transfer the kerbal *inside* the vessel and an error message came up " there is no personall inentory" I guess it's functional in nature.
but I still think it's a bug that the error message did not come up when I boarded the module thisom the outside I'm pretty sure the items just disappeared from the game.

If you also posted in the github I replied there.  Regardless of how you feel about it, the issue resides on the KIS side.  I'm not even sure @RoverDude would have a way to track it from the MKS side to generate an error or warning.

Link to comment
Share on other sites

@goldenpsp yes i got the idea now it is too bad kis and changing number of seats causes this.

Il maybe look into kis code and suggest a more dependable boarding check.

But also theoretically (i do realize this will involve a lot of work and don't expect anyone to put the time to fix it) in the inflatable modules if instead of the number of seats changing. a virtual kerbal will "fill" the seats when deflated then the inconsistencies with kis will disappear wont they?

Link to comment
Share on other sites

3 minutes ago, RoverDude said:

Messing with virtual kerbals is just not a valuable use of time IMO.  MKS works the same way as stock inflatables, and this is squarely a KIS issue and should be addressed in that mod.

Yes i can only imagibe the headache..

Thanks for the thought anyways :)

Link to comment
Share on other sites

20 minutes ago, goldenpsp said:

Go back one page, and scroll to the top

 

If MKS is updated for 1.6, shouldn't the title also be updated? I feel like that would probably save @RoverDude a lot of repeated questions.

Edited by _Zee
Link to comment
Share on other sites

14 hours ago, garoand_ran said:

Got an error after updating to ModuleManager v4.0.2

QOJCBrQ.png

Your post is missing information that would help wise people here assist you with your problem - KSP version, MKS version, other mods installed, etc.

I have almost all of the USI/MKS mods installed and I don't get these errors with MM 4.0.2 but I don't have the same mods you do.  Thus, it could be a bad install or a conflict with another mod(s).  I suggest you post a log file (see the thread below for a how-to) from a minimal install that reproduces the problem (i.e. KSP 1.6.1, MM 4.0.2 and the MKS mods + dependencies).

 

Link to comment
Share on other sites

1 hour ago, _Zee said:

If MKS is updated for 1.6, shouldn't the title also be updated? I feel like that would probably save @RoverDude a lot of repeated questions.

Well it would be fair to say the mod state is a bit messy.  AFAIK the only actual 1.5/1.6 compatible release is the constallation release.  I don't see any individual releases.  I would venture to guess @RoverDude is pretty busy with life and mods are pretty far down the priority list (as they should be).  Updating threads are even lower on the list.

In many cases repeated questions can also be avoided by users taking some time either reading back or searching before asking.  If we value mods and modders this can go a fair way in giving them more free time to actually work on the mods.

Link to comment
Share on other sites

2 hours ago, Brigadier said:

Your post is missing information that would help wise people here assist you with your problem - KSP version, MKS version, other mods installed, etc.

I have almost all of the USI/MKS mods installed and I don't get these errors with MM 4.0.2 but I don't have the same mods you do.  Thus, it could be a bad install or a conflict with another mod(s).  I suggest you post a log file (see the thread below for a how-to) from a minimal install that reproduces the problem (i.e. KSP 1.6.1, MM 4.0.2 and the MKS mods + dependencies).

I installed using CKAN, no problem before update MM4.02.

KSP 1.6.1.2410 , installed USI mods using CKAN v1.25.4:

-USI ART v0.13.0.0

-USI Core v0.7.0.0

-USI Exploration Pack v0.11.0.0

-USI FTT v0.10.0.0

-USI KS v0.55.0.0

-USI LS v0.9.0.0

-USI Tools v0.12.0.0

no conflict or an error before MM 4.0.2 update

output_log

Link to comment
Share on other sites

4 hours ago, garoand_ran said:

I installed using CKAN, no problem before update MM4.02.

KSP 1.6.1.2410 , installed USI mods using CKAN v1.25.4:

-USI ART v0.13.0.0

-USI Core v0.7.0.0

-USI Exploration Pack v0.11.0.0

-USI FTT v0.10.0.0

-USI KS v0.55.0.0

-USI LS v0.9.0.0

-USI Tools v0.12.0.0

no conflict or an error before MM 4.0.2 update

output_log

An hour ago I would have said don't use CKAN.  However it seems all of the mods are updated now.  For example in your list above MKS 55.0.0 is very old, it is not the current version.  I would see if CKAN updates in awhile.

Link to comment
Share on other sites

51 minutes ago, goldenpsp said:

An hour ago I would have said don't use CKAN.  However it seems all of the mods are updated now.  For example in your list above MKS 55.0.0 is very old, it is not the current version.  I would see if CKAN updates in awhile.

Apperently almost all my mod error comes from outdated CKAN's mods.

I got the error when updating MM to 4.0.2 from 4.0.1, before update there is no notification. And also I try recreate the situation but with Constellation Pack, I still got an error. Here's my log

output_log with constellation pack

Link to comment
Share on other sites

4 hours ago, DStaal said:

@RoverDude- I see you've updated the mod on SpaceDock, but you didn't tell it the new version is for 1.6, so SpaceDock still warns that your mod is out of date and for 1.3.

I've also noticed that only CCK, CRP, Karbonite, Konstruction and Malemute mods are showing as updated on CKAN but there is an MKS release on GitHub.  Might the rest of MKS updates eventually make it onto CKAN?

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...